#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QDebug>

#if RUN_TESTS
    #include <QtQuickTest/quicktest.h>
#endif

int main(int argc, char *argv[])
{

#if RUN_TESTS
    QTEST_SET_MAIN_SOURCE_PATH
    return quick_test_main(argc, argv, "untitled6", QUICK_TEST_SOURCE_DIR);
#else

    QCoreApplication::setAttribute(Qt::AA_EnableHighDpiScaling);

    QGuiApplication app(argc, argv);

    QQmlApplicationEngine engine;
    const QUrl url(QStringLiteral("qrc:/Main.qml"));
    QObject::connect(&engine, &QQmlApplicationEngine::objectCreated,
                     &app, [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
            QCoreApplication::exit(-1);
    }, Qt::QueuedConnection);
    engine.load(url);

    return app.exec();
#endif
}
